package MyTypes::Service;

use strict;

use warnings;





__PACKAGE__->_set_element_form_qualified(1);



sub get_xmlns { 'http://webservice.generic.connector.ifw.sam.ca.com/xsd' };



our $XML_ATTRIBUTE_CLASS;

undef $XML_ATTRIBUTE_CLASS;



sub __get_attr_class {

    return $XML_ATTRIBUTE_CLASS;

}



use Class::Std::Fast::Storable constructor => 'none';

use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);



Class::Std::initialize();



{ # BLOCK to scope variables



my %ciProperties_of :ATTR(:get<ciProperties>);

my %cis_of :ATTR(:get<cis>);

my %className_of :ATTR(:get<className>);

my %deviceID_of :ATTR(:get<deviceID>);

my %eventtype_of :ATTR(:get<eventtype>);

my %instanceID_of :ATTR(:get<instanceID>);

my %relationships_of :ATTR(:get<relationships>);



__PACKAGE__->_factory(

    [ qw(        ciProperties

        cis

        className

        deviceID

        eventtype

        instanceID

        relationships



    ) ],

    {

        'ciProperties' => \%ciProperties_of,

        'cis' => \%cis_of,

        'className' => \%className_of,

        'deviceID' => \%deviceID_of,

        'eventtype' => \%eventtype_of,

        'instanceID' => \%instanceID_of,

        'relationships' => \%relationships_of,

    },

    {

        'ciProperties' => 'MyTypes::CIProperty',

        'cis' => 'MyTypes::CIEvent',

        'className' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'deviceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'eventtype' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'instanceID' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'relationships' => 'MyTypes::Relationship',

    },

    {



        'ciProperties' => 'ciProperties',

        'cis' => 'cis',

        'className' => 'className',

        'deviceID' => 'deviceID',

        'eventtype' => 'eventtype',

        'instanceID' => 'instanceID',

        'relationships' => 'relationships',

    }

);



} # end BLOCK















1;





=pod



=head1 NAME



MyTypes::Service



=head1 DESCRIPTION



Perl data type class for the XML Schema defined complexType

Service from the namespace http://webservice.generic.connector.ifw.sam.ca.com/xsd.













=head2 PROPERTIES



The following properties may be accessed using get_PROPERTY / set_PROPERTY

methods:



=over



=item * ciProperties





=item * cis





=item * className





=item * deviceID





=item * eventtype





=item * instanceID





=item * relationships









=back





=head1 METHODS



=head2 new



Constructor. The following data structure may be passed to new():



 { # MyTypes::Service

   ciProperties =>  { # MyTypes::CIProperty

     name =>  $some_value, # string

     value =>  $some_value, # string

   },

   cis =>  { # MyTypes::CIEvent

     ciProperties =>  { # MyTypes::CIProperty

       name =>  $some_value, # string

       value =>  $some_value, # string

     },

     className =>  $some_value, # string

     deviceID =>  $some_value, # string

     eventtype =>  $some_value, # string

     instanceID =>  $some_value, # string

   },

   className =>  $some_value, # string

   deviceID =>  $some_value, # string

   eventtype =>  $some_value, # string

   instanceID =>  $some_value, # string

   relationships =>  { # MyTypes::Relationship

     anodeCI =>  $some_value, # string

     associationType =>  $some_value, # string

     bnodeCI =>  $some_value, # string

     className =>  $some_value, # string

     connectorName =>  $some_value, # string

     serviceCI =>  $some_value, # string

     siloName =>  $some_value, # string

   },

 },









=head1 AUTHOR



Generated by SOAP::WSDL



=cut



